Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
What version of Seamonkey am I running?
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
Carnildo
Guru
Guru


Joined: 17 Jun 2004
Posts: 594

PostPosted: Tue Jul 31, 2018 4:03 am    Post subject: What version of Seamonkey am I running? Reply with quote

When I started it up this morning, Seamonkey informed me that it's a bit old and there's probably a newer version out there. I checked which version I'm running (2.49.7.0) and what the latest ebuild was (2.49.7.0 stable, 2.49.9.1 unstable). I then checked the Seamonkey website to see if there was a newer version I could make an ebuild for, and found that the latest was...2.49.4.

Apparently I'm running a version that is three bugfix releases ahead of upstream, and when I installed it, it was five releases ahead. What's up with that?
Back to top
View user's profile Send private message
Keruskerfuerst
Advocate
Advocate


Joined: 01 Feb 2006
Posts: 2289
Location: near Augsburg, Germany

PostPosted: Tue Jul 31, 2018 5:24 am    Post subject: Reply with quote

The latest version (2.49.9.1 unstable) is beta.
Back to top
View user's profile Send private message
Polynomial-C
Developer
Developer


Joined: 01 Jun 2003
Posts: 1432
Location: Germany

PostPosted: Thu Aug 02, 2018 8:20 am    Post subject: Reply with quote

Hi,

unfortunately, the upstream seamonkey devs are severely understaffed and development of seamonkey somewhat stalled to the point where it is irresponsible for the Gentoo mozilla team to deliver the latest official releases because they already contain known vulnerabilities when being released.

So we had two choices here:
  1. Treeclean seamonkey from Gentoo
  2. Use alternative sources that do not contain known security issues to build seamonkey

We decided to go with option number two and took the thunderbird-52 sources to build seamonkey (yes, that's possible). In order to reflect that, we also chose to use a slightly different version scheme. So the 2.49 comes from seamonkey and the 9.1 comes from the corresponding thunderbird-52 release. The _p0 simply indicates that this is not an official upstream release.
_________________
The manual said "Requires Windows10 or better" so I installed GNU/Linux...

my portage overlay

Need a stage1 tarball? (Unofficial builds)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum